打印

请教rpm升级问题

请教rpm升级问题

在用rpm -Uvh abc-3.2-1.i386.rpm命令升级时,系统提示:
package abc-3.2-1 is already installed
file /usr/local/sbin/abc from install of abc-3.2-1 conflicts with file from package abc-3.2-1

怎么回事阿?该怎么来利用rpm升级程序阿?谢谢

TOP

就是这个包已经安装了啊。

TOP

恩!谢谢,不过,我还是不明白,我也知道我上面的做法有错,但是不知道怎么来改,希望指点!!

我现在的目的是:想通过RPM来做升级包,只是把我所改的程序进行替换,但是不想覆盖我的配置文件和我的数据库,我该怎么做?谢谢

TOP

rpm -Uvh 就是干这个的,升级是安全的。

TOP

兄弟,不要一帖多发。我看到的就已经是3帖了
先发警告!

TOP